import { IVpc } from "aws-cdk-lib/aws-ec2";
import { FargateService, FargateTaskDefinition, ICluster } from "aws-cdk-lib/aws-ecs";
import { FileSystem } from "aws-cdk-lib/aws-efs";
import { ServerlessCluster } from "aws-cdk-lib/aws-rds";
import { IHostedZone } from "aws-cdk-lib/aws-route53";
import { Construct } from "constructs";
import { StaticHosting } from "./StaticHosting";
import { WordpressAdminProps, WordpressDatabaseProps } from "./types";
import { WordpressDockerImage } from "./WordpressDockerImage";
export interface EcsTaskProps {
    readonly siteId: string;
    readonly hostedZone: IHostedZone;
    readonly fullyQualifiedSiteName: string;
    readonly staticHosting: StaticHosting;
    readonly wordpressDockerImage: WordpressDockerImage;
    readonly wordpressAdminProps: WordpressAdminProps;
    readonly wordpressDatabaseProps?: WordpressDatabaseProps;
    readonly vpc?: IVpc;
    readonly ecsCluster?: ICluster;
}
export declare class EcsTask extends Construct {
    readonly fileSystem: FileSystem;
    readonly databaseCluster: ServerlessCluster;
    readonly taskDefinition: FargateTaskDefinition;
    readonly fargateService: FargateService;
    constructor(scope: Construct, id: string, props: EcsTaskProps);
}
